Get case representatives
curl --request GET \
--url https://api.example.com/api/v2/cases/{id}/representativesimport requests
url = "https://api.example.com/api/v2/cases/{id}/representatives"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/cases/{id}/representatives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"clientId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "<string>",
"phoneNumberE164": "<string>",
"address": {
"line_1": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"post_town": "<string>",
"county": "<string>",
"postcode": "<string>",
"uprn": "<string>",
"id": "<string>"
},
"caseRoles": [
{
"id": "<string>",
"representing": {},
"nameChangeReason": "<string>",
"additionalDetails": {}
}
],
"bankAccount": {
"bankAccountName": "<string>",
"sortCode": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"bankAddress": {},
"bankAccountProvideLater": true
}
}
]{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Cases
Get case representatives
Returns all representatives associated with a specific case.
GET
/
api
/
v2
/
cases
/
{id}
/
representatives
Get case representatives
Path Parameters
Case ID
Response
List of case representatives
Case representative ID
Linked Client entity ID (null if not linked to a stored client)
First name
Last name
Email address
Phone number in E164 format
Postal address
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I